using Dapfor.Net.Data;
using Dapfor.Net.Formats;

namespace Dapfor.Net.Grid.Tutorial.Formats
{
    public class NumericFormat : IFormat
    {
        public string Format(IDataField dataField)
        {
            return Equals(0, dataField.Value) 
                ? string.Empty 
                : string.Format("{0:### ### ### ### ###}", dataField.Value);
        }

        public bool CanParse(string text, IDataField dataField)
        {
            return false;
        }

        public void Parse(string text, IDataField dataField)
        {
        }
    }
}
